## sonivoxeas-dmo 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project( EASSynth
         VERSION 1.4.1
         DESCRIPTION "Sonivox EAS for Linux and Qt" )

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")

include(GNUInstallDirs)

if (USE_QT)
    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
    endif()
endif()

if (USE_QT EQUAL 5)
    find_package(QT NAMES Qt5)
elseif (USE_QT EQUAL 6)
    find_package(QT NAMES Qt6)
else()
    find_package(QT NAMES Qt5 Qt6)
endif()

find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets REQUIRED)
find_package(Drumstick 2.0 COMPONENTS ALSA REQUIRED)
message(STATUS "Using Drumstick version: ${Drumstick_VERSION}")
find_package(PkgConfig REQUIRED)
pkg_check_modules(PULSE REQUIRED IMPORTED_TARGET libpulse-simple)

find_package(sonivox CONFIG)
if (NOT sonivox_FOUND)
    add_subdirectory(sonivox)
endif()
message(STATUS "Using Sonivox version: ${sonivox_VERSION}")
add_subdirectory(libsvoxeas)
add_subdirectory(cmdlnsynth)
add_subdirectory(guisynth)

=== guisynth/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set( SOURCES main.cpp mainwindow.cpp )
set( HEADERS mainwindow.h )
set( FORMS mainwindow.ui )
set( RESOURCES guisynth.qrc )

add_executable( guisynth
  ${SOURCES}
  ${HEADERS}
  ${FORMS}
  ${RESOURCES}
)

get_target_property( SONIVOX_HEADERS sonivox::sonivox INTERFACE_INCLUDE_DIRECTORIES )

target_include_directories( guisynth PRIVATE ${SONIVOX_HEADERS} )

target_link_libraries( guisynth
  Qt${QT_VERSION_MAJOR}::Core
  Qt${QT_VERSION_MAJOR}::Gui
  Qt${QT_VERSION_MAJOR}::Widgets
  Drumstick::ALSA
  svoxeas
)

target_compile_definitions( guisynth PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<CONFIG:RELEASE>:QT_NO_DEBUG_OUTPUT>
)

install( TARGETS guisynth 
         DESTINATION ${CMAKE_INSTALL_BINDIR} )

install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon.png
         DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps
         RENAME sonivoxeas.png )

install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon256.png
         DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/256x256/apps
         RENAME sonivoxeas.png )

install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon512.png
         DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/512x512/apps
         RENAME sonivoxeas.png )

install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/guisynth.desktop
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications 
         RENAME sonivoxeas.desktop )

=== debian/changelog ===
sonivoxeas-dmo (1:1.4.1-dmo0+deb12u1) stable; urgency=medium

  * Back to 1.4.1 and force to build with Qt5

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 12:01:21 +0200

sonivoxeas-dmo (1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Jun 2023 08:37:22 +0200

sonivoxeas-dmo (1.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Sep 2022 17:04:50 +0200

sonivoxeas-dmo (1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright Updated to GPLv3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Jul 2022 07:55:14 +0200

sonivoxeas (1.3.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jan 2021 14:05:10 +0100

=== debian/control ===
Source: sonivoxeas-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
 libdrumstick-dev (>= 1:2.0.0~), qtbase5-dev, libpulse-dev, libsonivox-dev

Package: sonivoxeas-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sonivoxeas
Description: Sonivox EAS for Linux and Qt
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 Package with the Qt5 graphique interface.

Package: sonivoxeas-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sonivox EAS for Linux
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 Package with the command line version.

Package: libsvoxeas1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux synthesizer shared library, using ALSA Sequencer and PulseAudio
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 This package contains the runtime files.

Package: libsvoxeas-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libsvoxeas1 (= ${binary:Version}), ${misc:Depends}
Description: Linux synthesizer shared library, using ALSA Sequencer and PulseAudio
 A Linux MIDI Synth library based on the Sonivox EAS Synthesizer published
 by Google on the Android Open Source Project. It is a real time GM
 synthesizer without needing external soundfonts, using embedded samples
 instead. It consumes very little resources, so it may be indicated in
 Linux projects for small embedded devices.
 .
 This package contains the development files.

=== debian/watch ===
version=4

https://github.com/pedrolcl/Linux-SonivoxEas/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## sonivoxeas-dmo 1.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project( EASSynth
         VERSION 1.6.0
         DESCRIPTION "Sonivox EAS for Linux and Qt" )

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(USE_QT5 "Choose Qt5 instead of Qt6. By default uses Qt6")

include(GNUInstallDirs)

if (USE_QT5)
    find_package(QT NAMES Qt5)
else()
    find_package(QT NAMES Qt6)
endif()

find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets REQUIRED)
find_package(Drumstick 2.10 COMPONENTS ALSA REQUIRED)
message(STATUS "Using Drumstick version: ${Drumstick_VERSION}")
find_package(PkgConfig REQUIRED)
pkg_check_modules(PULSE REQUIRED IMPORTED_TARGET libpulse-simple)

find_package(sonivox 3.6.15 CONFIG)
if (NOT sonivox_FOUND)
    message(FATAL_ERROR "Sonivox library not found")
    #alternative: use sonivox as a git submodule:
    #add_subdirectory(sonivox)
endif()
message(STATUS "Using Sonivox version: ${sonivox_VERSION}")
add_subdirectory(libsvoxeas)
add_subdirectory(cmdlnsynth)
add_subdirectory(guisynth)

=== libsvoxeas/CMakeLists.txt ===
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set( HEADERS
    programsettings.h
    synthcontroller.h
    synthrenderer.h
)

set( SOURCES
    programsettings.cpp
    synthcontroller.cpp 
    synthrenderer.cpp
    filewrapper.cpp
)

add_library( svoxeas SHARED ${HEADERS} ${SOURCES} )

set_target_properties( svoxeas PROPERTIES 
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

target_link_libraries( svoxeas PRIVATE
    sonivox::sonivox
    Qt${QT_VERSION_MAJOR}::Core
    Drumstick::ALSA
    PkgConfig::PULSE
)

target_include_directories( svoxeas PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_compile_definitions( svoxeas PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<CONFIG:RELEASE>:QT_NO_DEBUG_OUTPUT>
)

install( TARGETS svoxeas
         DESTINATION ${CMAKE_INSTALL_LIBDIR} )

install ( FILES ${HEADERS}
          DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )

=== debian/changelog ===
sonivoxeas-dmo (1:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Dec 2024 23:38:54 +0100

sonivoxeas-dmo (1:1.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 24 Sep 2024 14:20:49 +0200

sonivoxeas-dmo (1:1.5.0-dmo5) unstable; urgency=medium

  * Build with Qt6 6.6

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jun 2024 10:15:01 +0200

sonivoxeas-dmo (1:1.5.0-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2024 09:48:53 +0100

sonivoxeas-dmo (1:1.5.0-dmo3) unstable; urgency=medium

  * Build with drumstick build with sonivox 3.6.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Jun 2023 07:48:49 +0200

sonivoxeas-dmo (1.5.0-dmo2) unstable; urgency=medium

  * Build with QT6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Jun 2023 10:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
- libdrumstick-dev (>= 1:2.0.0~), qtbase5-dev, libpulse-dev, libsonivox-dev
+ libdrumstick-dev (>= 1:2.10~), qt6-base-dev, libpulse-dev,
+ libsonivox-dev (>= 3.6.15~), libxkbcommon-dev
 
 Package: sonivoxeas-gui
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DUSE_QT=6

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/pedrolcl/Linux-SonivoxEas/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## sonivoxeas-dmo 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.9)
+cmake_minimum_required(VERSION 3.21)
 project( EASSynth
-         VERSION 1.6.0
+         VERSION 1.7.0
          DESCRIPTION "Sonivox EAS for Linux and Qt" )
 
 set(CMAKE_CXX_STANDARD 11)
@@ -22,7 +22,8 @@
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(PULSE REQUIRED IMPORTED_TARGET libpulse-simple)
 
-find_package(sonivox 3.6.15 CONFIG)
+set(sonivox_SHARED_LIBS ON) # set this OFF to use static sonivox
+find_package(sonivox 4.0 CONFIG REQUIRED)
 if (NOT sonivox_FOUND)
     message(FATAL_ERROR "Sonivox library not found")
     #alternative: use sonivox as a git submodule:

=== cmdlnsynth/CMakeLists.txt ===
add_executable( cmdlnsynth main.cpp )

get_target_property( SONIVOX_HEADERS sonivox::sonivox INTERFACE_INCLUDE_DIRECTORIES )

target_include_directories( cmdlnsynth PRIVATE ${SONIVOX_HEADERS} )

target_link_libraries( cmdlnsynth
    Qt${QT_VERSION_MAJOR}::Core
    Drumstick::ALSA
    svoxeas
)

target_compile_definitions( cmdlnsynth PRIVATE
    VERSION=${PROJECT_VERSION}
    $<$<CONFIG:RELEASE>:QT_NO_DEBUG_OUTPUT>
)

install( TARGETS cmdlnsynth 
         DESTINATION ${CMAKE_INSTALL_BINDIR} )

=== guisynth/CMakeLists.txt ===
--- 
+++ 
@@ -32,12 +32,16 @@
     $<$<CONFIG:RELEASE>:QT_NO_DEBUG_OUTPUT>
 )
 
-install( TARGETS guisynth 
+install( TARGETS guisynth
          DESTINATION ${CMAKE_INSTALL_BINDIR} )
 
 install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon.png
          DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps
          RENAME sonivoxeas.png )
+
+install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon.svg
+         DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
+         RENAME sonivoxeas.svg )
 
 install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/icon256.png
          DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/256x256/apps
@@ -48,5 +52,5 @@
          RENAME sonivoxeas.png )
 
 install( FILES ${CMAKE_CURRENT_SOURCE_DIR}/guisynth.desktop
-         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications 
+         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
          RENAME sonivoxeas.desktop )

=== libsvoxeas/CMakeLists.txt ===
--- 
+++ 
@@ -7,18 +7,19 @@
     programsettings.h
     synthcontroller.h
     synthrenderer.h
+    filewrapper.h
 )
 
 set( SOURCES
     programsettings.cpp
-    synthcontroller.cpp 
+    synthcontroller.cpp
     synthrenderer.cpp
     filewrapper.cpp
 )
 
 add_library( svoxeas SHARED ${HEADERS} ${SOURCES} )
 
-set_target_properties( svoxeas PROPERTIES 
+set_target_properties( svoxeas PROPERTIES
     VERSION ${PROJECT_VERSION}
     SOVERSION ${PROJECT_VERSION_MAJOR}
 )

=== debian/changelog ===
sonivoxeas-dmo (1:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 31 Dec 2025 00:33:45 +0100

sonivoxeas-dmo (1:1.6.0-dmo2) unstable; urgency=medium

  * Build with libsonivox4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Dec 2025 16:11:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: sonivoxeas-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/pedrolcl/Linux-SonivoxEas
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, libasound2-dev,
  libdrumstick-dev (>= 1:2.10~), qt6-base-dev, libpulse-dev,
- libsonivox-dev (>= 3.6.15~), libxkbcommon-dev
+ libsonivox-dev (>= 4.0.0~), libxkbcommon-dev
 
 Package: sonivoxeas-gui
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
